curl --request POST \
--url https://{host}/api/public/analytics/projects/{projectId}/traces \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"fromDate": "2026-08-05T00:00:00.000Z",
"toDate": "2026-08-06T00:00:00.000Z",
"eventTypes": [
"llm",
"tool"
],
"dataMode": "summary",
"sortOrder": "desc",
"limit": 100
}
'{
"protected": "eyJhbGciOiJSU0EtT0FFUC0yNTYiLCJlbmMiOiJBMjU2R0NNIiwia2lkIjoiNjZmN2ExYzJlNGIwYTFkMmMzZTRmNWE2IiwicGtmIjoiZDExYzNlNDcxYjRmNDU4MTA3Y2JiZmFjMzg2NWEwNDZhMjIyZjVlZDcyZDQ2MDUyNDFiMWFjYWI3MjE1MmNlNiJ9",
"encrypted_key": "XScVR_HSab2Vl58k_P_5xmQaWutTpDzp7oc-1OZXrn6pLVBPx7Z2holovT7U1QWQQeWJVOKIchjQJV2eDtX1wT11kusoQMrgDsgk1kaNgxzQSgiECQUkGJnjCJCzp_wSKiYTpwshpYKYLNjo1lQBCk97ukApMmym_GUBERGQkOhc53bFVEXNd8UFZMrn7-wkChOHbwm5DbMJVboNK9Pqe4InWQRFpg6gaxIqH9XM4bkhydQUxTxwJtvY3fmKhMpT7ZeEbclUCGAHK_xUVLj9yzSadjgDoYT04DetRleOQrjBfC_qr8t3ilWZlpIeqiET5iyEFrxuhqi9zzUIs_6Njw",
"iv": "Nd51pTVdZKYz8Lt6",
"ciphertext": "mIzOWlsoKAPVc3lQghwjHA",
"tag": "BaHsLsjLXYGESMoRsNdr4g"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}List trace events using JWE payload
List trace events with the query parameters in a JSON or encrypted JWE request body instead of the URL.
POST
/
api
/
public
/
analytics
/
projects
/
{projectId}
/
traces
curl --request POST \
--url https://{host}/api/public/analytics/projects/{projectId}/traces \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"fromDate": "2026-08-05T00:00:00.000Z",
"toDate": "2026-08-06T00:00:00.000Z",
"eventTypes": [
"llm",
"tool"
],
"dataMode": "summary",
"sortOrder": "desc",
"limit": 100
}
'{
"protected": "eyJhbGciOiJSU0EtT0FFUC0yNTYiLCJlbmMiOiJBMjU2R0NNIiwia2lkIjoiNjZmN2ExYzJlNGIwYTFkMmMzZTRmNWE2IiwicGtmIjoiZDExYzNlNDcxYjRmNDU4MTA3Y2JiZmFjMzg2NWEwNDZhMjIyZjVlZDcyZDQ2MDUyNDFiMWFjYWI3MjE1MmNlNiJ9",
"encrypted_key": "XScVR_HSab2Vl58k_P_5xmQaWutTpDzp7oc-1OZXrn6pLVBPx7Z2holovT7U1QWQQeWJVOKIchjQJV2eDtX1wT11kusoQMrgDsgk1kaNgxzQSgiECQUkGJnjCJCzp_wSKiYTpwshpYKYLNjo1lQBCk97ukApMmym_GUBERGQkOhc53bFVEXNd8UFZMrn7-wkChOHbwm5DbMJVboNK9Pqe4InWQRFpg6gaxIqH9XM4bkhydQUxTxwJtvY3fmKhMpT7ZeEbclUCGAHK_xUVLj9yzSadjgDoYT04DetRleOQrjBfC_qr8t3ilWZlpIeqiET5iyEFrxuhqi9zzUIs_6Njw",
"iv": "Nd51pTVdZKYz8Lt6",
"ciphertext": "mIzOWlsoKAPVc3lQghwjHA",
"tag": "BaHsLsjLXYGESMoRsNdr4g"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"success": false,
"message": "<string>",
"required": "<string>"
}POST endpoint accepts the same parameters and returns the same response as GET.
When request encryption is enabled for the Platform Key, send the TracesQueryBody as an encrypted JWE. When request encryption is disabled, send the same parameters as a plain JSON object. Response encryption is independent of request encryption; when enabled, responses other than 401 are returned as encrypted JWE payloads.
The POST endpoint supports the same filtering parameters as GET. The POST body uses the GET parameter names as JSON property names. List parameters can be sent as JSON arrays or comma-separated strings. traceDimensions is not a parameter in this Traces API; do not use it with this endpoint.
To return the response headers of HTTP tool calls, send includeResponseHeaders as a JSON boolean. It works as it does in the GET endpoint and needs "dataMode": "full". The default is false. A request with includeResponseHeaders set to true and no full data mode returns 400 INVALID_PARAM_COMBINATION. A non-boolean value returns 400 INVALID_INCLUDE_RESPONSE_HEADERS. For the response fields, see Response headers.
The response is the same as for GET. Workflow tool events include workflowRun, and meta.warnings appears when part of the page can’t be served in full. For details, see Workflow runs and Warnings.
Use POST method when:
- You must encrypt the request parameters.
- You want to avoid exposing potentially sensitive filter values in the URL.
- You need to send the query as a JSON object rather than URL query parameters.
POST body is rejected when request encryption is enabled, while an encrypted body is rejected when request encryption is disabled.
Set Content-Type to application/json or application/jose+json. The body must be a JSON object. Do not add query parameters to a POST request.Authorizations
Body
application/jsonapplication/jose+json
- Option 1
- Option 2
POST form of the GET query parameters: a flat JSON object whose keys are the
GET query parameter names. For a Platform Key with request encryption on, send
this object encrypted as an EncryptedRequest instead.
Same as the eventNames query parameter of the GET operation. Send a JSON array, or a comma-separated string as in the query string.
Maximum array length:
20Available options:
llm.call.completed, llm.call.failed, tool.call.completed, tool.call.failed, tool.call.skipped, agent.decision Same as the channel query parameter of the GET operation.
Available options:
http_async, slack, line, msteams, whatsapp, messenger, instagram, twilio_sms, zendesk, telegram, genesys, genesys_open_messaging, ai4w, kore_agent_assist, email, voice_vxml, korevg, audiocodes, genesys_audio_connector, voice_pipeline, voice_realtime, voice, voice_twilio, voice_livekit, ag_ui, a2a, sdk_websocket, web_debug, web_chat, api, http Response
Trace event page returned successfully (same body as the GET form).
- Option 1
- Option 2
Was this page helpful?